Package org.picocontainer

# Interface Parameter.Resolver

All Known Implementing Classes:
  `Parameter.DelegateResolver`, `Parameter.NotResolved`, `Parameter.ValueResolver`

Enclosing interface:
  `Parameter`

public static interface Parameter.Resolver
Resolver is used transitarily during resolving of Parameters. isResolvable() and resolveInstance() in series do not cause resolveAdapter() twice

## Method Summary

Modifier and Type
Method
Description
`ComponentAdapter<?>`
`getComponentAdapter()`
`boolean`
`isResolved()`
`Object`
`resolveInstance()`

## Method Details

### isResolved

boolean isResolved()

Returns:
  can the parameter be resolved

### resolveInstance

Object resolveInstance()

Returns:
  the instance to be used to inject as a parameter

### getComponentAdapter

ComponentAdapter<?> getComponentAdapter()

Returns:
  the ComponentAdapter for the parameter in question